Subject: Groundnut but not peanut

From: [email-masked] (Gib Cooper)
Date: Tue, 26 Mar 1996 07:45:25 -0800

A customer of mine in Sweden is looking for some plants of Apios
americana-GROUNDNUT. Has anyone come across this plant in any catalogs?
Could I get a reccomendation of where to purchase plants?

Thanks

  /H\\H                             H                               //H
   H /H \  Gib Cooper               H\   Voice/Fax: 541-247-0835     /H\\H \
  /H  H  Tradewinds Bamboo Nursery /H    [email-masked]    / H HH  H\
   H\\H\  28446 Hunter Creek Loop   H \                             H\H\HH\ H
   H /H\   Gold Beach, OR 97444     H                              /H H HH  H
  /H\HH \\               http://harborside.com/bamboo/              H H HH\\H\
   H HH                                                          // H H HH /H
     H                                                                H H